%global srcname cltk

%global sum NLP support for Ancient Greek and Latin

Name:           python-%{srcname}
Version:        0.1.43
Release:        3%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://github.com/cltk/cltk
Source0:        https://github.com/cltk/cltk/archive/v%{version}.tar.gz

BuildArch:      noarch

%description
The Classical Language Toolkit (CLTK) offers natural language processing support
for Classical languages.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-whoosh
BuildRequires:  python3-regex
BuildRequires:  python3-fuzzywuzzy
BuildRequires:  python3-nltk
BuildRequires:  python3-GitPython
BuildRequires:  python3-gitdb

%description -n python3-%{srcname}
The Classical Language Toolkit (CLTK) offers natural language processing support
for Classical languages.

%prep
%autosetup -n %{srcname}-%{version}

sed -i 's|: object||g' cltk/tag/pos.py cltk/utils/file_operations.py cltk/tokenize/sentence.py
sed -i 's|: str||g' cltk/tag/pos.py cltk/utils/file_operations.py cltk/tokenize/sentence.py
sed -i 's|lang: str|lang|g' cltk/tag/pos.py
sed -i 's|:str||g' cltk/corpus/utils/importer.py

%build
%py3_build

%install
%py3_install

%check
# dependencies not packaged yet in fedora
#%{__python3} setup.py test

%files -n python3-%{srcname}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py3.*.egg-info/

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.43-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.43-2
- Rebuild for Python 3.6

* Thu Oct 06 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.1.43-1
- Update to 0.1.43

* Sat Aug 13 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.1.38-1
- Update to 0.1.38

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1.2-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 09 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.0.1.2-1
- update to 0.0.1.2 release

* Mon Jan 05 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.0.1.0-1
- update to 0.0.1.0 release

* Tue Nov 25 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.0.0.48a-1
- update to 0.0.0.48a release

* Wed Nov 05 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.0.0.47-1
- update to 0.0.0.47 release

* Sat Nov 01 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.0.0.44-1
- update to 0.0.0.44 release

* Tue Oct 14 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.0.0.34-1
- update to 0.0.0.35 release

* Mon Sep 29 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.0.0.26-1
- update to 0.0.0.26 release

* Mon Sep 22 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.0.0.24-1
- Initial packaging

